## Class TRepeaterCommandEventParameter

Description

TRepeaterCommandEventParameter class

TRepeaterCommandEventParameter encapsulates the parameter data for TRepeater::onItemCommand event of TRepeater controls.

The Item property indicates the repeater item related with the event. The CommandSource refers to the control that originally raises the Command event.

- since: 3.0
- version: $Id: TRepeater.php 2227 2007-09-17 12:56:51Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TRepeater.php (line 832)

    TComponent
       |
       --TEventParameter
          |
          --TCommandEventParameter
             |
             --TRepeaterCommandEventParameter

Method Summary
TRepeaterCommandEventParameter __construct (TControl $item, TControl $source, TCommandEventParameter $param)
TControl getCommandSource ()
TControl getItem ()
Methods
Constructor __construct (line 849)

Constructor.

- access: public

TRepeaterCommandEventParameter __construct (TControl $item, TControl $source, TCommandEventParameter $param)

- TControl $item: repeater item responsible for the event
- TControl $source: original event sender
- TCommandEventParameter $param: original event parameter

Redefinition of:

TCommandEventParameter::__construct()
  Constructor.

getCommandSource (line 867)

- return: the control originally raises the OnCommand event.
- access: public

TControl getCommandSource ()
getItem (line 859)

- return: the repeater item control responsible for the event.
- access: public

TControl getItem ()

#### Inherited Methods

Inherited From TCommandEventParameter

> TCommandEventParameter::__construct()
> TCommandEventParameter::getCommandName()
> TCommandEventParameter::getCommandParameter()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:01 -0400 by phpDocumentor 1.3.0RC4